Adobe has addressed a number of potential vulnerabilities in Acrobat Professional and Standard versions in a new update.

Version 6.0.3 prevents playback of malicious content in Flash media embedded in a PDF File. It also addresses vulnerabilities in the PNG library (libpng version 1.2.5) that could be exploited with malformed PNG images, and an issue with how the eBook plug-in works with *.etd files during eBook transactions.

There is more information available in Adobe's knowledgebase articles.

Adobe claims that there are no known malicious exploits of these vulnerabilities, but the company recommends that all users of Adobe Acrobat 6.0 Professional and Standard apply this update as a proactive measure.